<?php
class translateAction extends Action
{
    function execute(&$controller, &$request)
    {
       $session =& $request->session();
       $session['lang'] = $_REQUEST['lang'];
       $controller->redirect('index', 'catalogs');
    }
}

?>